Commits

Lee Pak Hong  committed 8f8b3e8

Rebuild samba

Signed-off-by: Lee Pak Hong <benreilly@vector.Linux.net>

  • Participants
  • Parent commits 97dd386
  • Branches veclinux-7.0

Comments (0)

Files changed (2)

File var/vabs/samba/src/samba

+#!/bin/sh
+# description: SAMBA daemon
+#
+# GNU GPL (c) Eko M. Budi, 2004
+#         (c) Vector Linux. 2004
+
+# Include the functions declared in the /etc/rc.d/functions file
+source /etc/rc.d/functions
+
+#server name & description
+SMBSERVER="SAMBA Network File/Printer sharing server"
+NMBSERVER="SAMBA Netbios name server"
+
+SMBD=/usr/sbin/smbd
+NMBD=/usr/sbin/nmbd
+
+case "$1" in
+        start)
+                echon "Starting $SMBSERVER....."
+                loadproc $SMBD -D
+                echon "Starting $NMBSERVER....."
+		loadproc $NMBD -D
+                ;;
+        stop)
+                echon "Stopping $NMBSERVER....."
+		killproc $NMBD 
+                echon "Stopping $SMBSERVER....."
+                killproc $SMBD 
+                ;;
+	reload)
+                echon "Reloading $SMBSERVER....."
+                reloadproc $SMBD 
+                echon "Reloading $NMBSERVER....."
+		reloadproc $NMBD 
+                ;;
+        restart)
+                $0 stop
+                /bin/sleep 2
+                $0 start
+                ;;
+        *)
+                echo "Usage: $0 {start|stop|reload|restart}"
+                exit 1
+        ;;
+esac

File var/vabs/samba/src/samba.SlackBuild

   --with-privatedir=/etc/samba/private \
   --localstatedir=/var \
   --with-lockdir=/var/cache/samba \
-  --with-swatdir=/usr/share/swat \
   --with-logfilebase=/var/log/samba \
   --enable-cups \
   --enable-external-libtalloc=no \
 cat $CWD/rc.samba > $PKG/etc/rc.d/rc.samba.new
 chmod 644 $PKG/etc/rc.d/rc.samba.new
 
+# copy samba script to /etc/init.d
+mkdir -p $PKG/etc/init.d
+cp -a $CWD/samba $PKG/etc/rc.d
+chmod 755 $PKG/etc/rinit.d/samba
+
 # PAM related stuff we don't use:
 rm -r $PKG/usr/share/locale
 rm -f $PKG/usr/man/man8/pam*
 
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a COPYING* MAINTAINERS* PFIF.txt README* Prog_guide4* Roadmap \
-  upgradeing* WHATSNEW.txt docs examples \
+cp -a COPYING* MAINTAINERS* PFIF.txt README* prog_guide4* Roadmap \
+  upgrading* WHATSNEW.txt docs examples \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild